// evaluateIndex;
import server3 from "@/assets/icon-png/menuList/server (3).svg";
// import server4 from "@/assets/icon-png/menuList/server (4).svg";
import layer from "@/assets/svg/layers (2).svg";

// 最简代码，也就是这些字段必须有
export default {
  path: "/evaluate",
  meta: {
    title: "考核评估",
    // icon: "ri:checkbox-circle-line",
    icon: layer,
    rank: 4
  },
  component: () => import("@/views/evaluate/children/change/manage.vue"),
  children: [
    {
      path: "/evaluate/children/change",
      name: "evaluateChange",
      meta: {
        auths: [],
        title: "考核管理",
        icon: server3
      },
      children: [
        {
          path: "/evaluate/children/change/components/newAdd",
          name: "evaluateNewAdd",
          component: () =>
            import("@/views/evaluate/children/change/components/newAdd.vue"),
          meta: {
            auths: [],
            title: "新建模板",
            showLink: false,
            showParent: true
          }
        },
        {
          path: "/evaluate/children/change/mould",
          name: "evaluateChangeMould",
          component: () => import("@/views/evaluate/children/change/mould.vue"),
          meta: {
            auths: [],
            title: "考核模板",
            showParent: true
          }
        },
        {
          path: "/evaluate/children/change/manage",
          name: "evaluateChangeManage",
          component: () =>
            import("@/views/evaluate/children/change/manage.vue"),
          meta: {
            auths: [],
            title: "考核管理",
            showParent: true
          }
        },
        {
          path: "/evaluate/children/change/mould/manageObject",
          name: "evaluateChangeManageObject",
          component: () =>
            import("@/views/evaluate/children/change/mould/manageObject.vue"),
          meta: {
            auths: [],
            title: "考核对象",
            showLink: false
          }
        }
      ]
    }
    // {
    //   path: "/evaluate/children/exam",
    //   name: "evaluateExam",
    //   meta: {
    //     title: "我的考核",
    //     icon: server4
    //   },
    //   children: [
    //     {
    //       path: "/evaluate/children/exam/index",
    //       name: "evaluateExamIndex",
    //       component: () => import("@/views/evaluate/children/exam/index.vue"),
    //       meta: {
    //         title: "代办事项",
    //         showParent: true
    //       }
    //     }
    //   ]
    // }
  ]
} satisfies RouteConfigsTable;
